Bug 186519 - snd-cs4231.ko missing in FC5
snd-cs4231.ko missing in FC5
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 19:44 EST by Ronald Kuetemeier
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:39:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ronald Kuetemeier 2006-03-23 19:44:24 EST
Any good reason why snd-cs4231.ko is not included?
I got a HP Omnibook 4150 and it has the:

01:00.1 Multimedia audio controller: Neomagic Corporation NM2200 [MagicMedia
256AV Audio] (rev 20)omponent (if applicable):
sound card, no it's not the snd-nm256.ko.  Depending on rev different chips are
used with 
this card, so system-config-sound is most of the time wrong.  Anyhow I know how
to get it working, iff the drivers come with the kernel.  But they are missing
from FC5.
Comment 1 Dave Jones 2006-03-24 17:48:00 EST
snd-cs4231 is for ISA cards. Yours is clearly PCI.

what does lspci -n say ?
Comment 2 Ronald Kuetemeier 2006-03-24 19:33:26 EST
>snd-cs4231 is for ISA cards. Yours is clearly PCI.

Well theory and practice, what can I say.  Alsaconf figures it out correctly,
it's called legacy. If you want to know more about the games HP played/plays
just Google for the card and the tricks people have used to get it working under
I wouldn't care, but my 5 year old objects. He needs sound to play ...
If there is no good reason, like it's not ported to whatever module interface
there is right now. No problem I can build my own kernel, but I'm lazy and try
to get along with the stock kernel.  

>what does lspci -n say ?
01:00.1 0401: 10c8:8005 (rev 20)
Comment 3 Dave Jones 2006-10-16 14:18:57 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:39:30 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.